SidTuneTools Class Reference

## Static Public Member Functions

static size_t | fileNameWithoutPath (const char *s)
static size_t | slashedFileNameWithoutPath (const char *s)
static const char * | fileExtOfPath (const char *s)

## Member Function Documentation

const char * SidTuneTools::fileExtOfPath | ( | const char * | s | ) |

static

Return pointer to file name extension in path. Searching backwards until first dot is found.

size_t SidTuneTools::fileNameWithoutPath | ( | const char * | s | ) |

static

Return pointer to file name position in complete path.

size_t SidTuneTools::slashedFileNameWithoutPath | ( | const char * | s | ) |

static

Return pointer to file name position in complete path. Special version: file separator = forward slash.

The documentation for this class was generated from the following files:

- SidTuneTools.h
- SidTuneTools.cpp